Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl.model
Class ProcessAssetDesc

    java.lang.Object
      org.jbpm.kie.services.impl.model.ProcessAssetDesc

All Implemented Interfaces:
  Serializable, DeployedAsset, ProcessDefinition

    public class ProcessAssetDesc

extends Object
implements ProcessDefinition

See Also:
  Serialized Form

Constructor Summary
`ProcessAssetDesc()`
`ProcessAssetDesc(String id, String name, String version, String packageName, String type, String knowledgeType, String namespace, String deploymentId)`

Method Summary
`void` | `addForm(String id, String formContent)`
`boolean` | `equals(Object obj)`
`Map<String,Collection<String>>` | `getAssociatedEntities()`
`String` | `getDeploymentId()`
`String` | `getEncodedProcessSource()`
`Map<String,String>` | `getForms()`
`String` | `getId()`
`String` | `getKnowledgeType()`
`String` | `getName()`
`String` | `getNamespace()`
`String` | `getOriginalPath()`
`String` | `getPackageName()`
`Map<String,String>` | `getProcessVariables()`
`Collection<String>` | `getReusableSubProcesses()`
`List<String>` | `getRoles()`
`Map<String,String>` | `getServiceTasks()`
`String` | `getType()`
`String` | `getVersion()`
`int` | `hashCode()`
`boolean` | `isActive()`
`void` | `setActive(boolean active)`
`void` | `setAssociatedEntities(Map<String,Collection<String>> associatedEntities)`
`void` | `setDeploymentId(String deploymentId)`
`void` | `setEncodedProcessSource(String processString)`
`void` | `setForms(Map<String,String> forms)`
`void` | `setId(String id)`
`void` | `setName(String name)`
`void` | `setOriginalPath(String originalPath)`
`void` | `setPackageName(String packageName)`
`void` | `setProcessVariables(Map<String,String> processVariables)`
`void` | `setReusableSubProcesses(Collection<String> reusableSubProcesses)`
`void` | `setRoles(List<String> roles)`
`void` | `setServiceTasks(Map<String,String> serviceTasks)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProcessAssetDesc

    public ProcessAssetDesc()

### ProcessAssetDesc

    public ProcessAssetDesc(String id,
                            String name,
                            String version,
                            String packageName,
                            String type,
                            String knowledgeType,
                            String namespace,
                            String deploymentId)

Method Detail

### getId

    public String getId()

  Specified by:
    `getId` in interface `DeployedAsset`
  Specified by:
    `getId` in interface `ProcessDefinition`

### getName

    public String getName()

  Specified by:
    `getName` in interface `DeployedAsset`
  Specified by:
    `getName` in interface `ProcessDefinition`

### getVersion

    public String getVersion()

  Specified by:
    `getVersion` in interface `DeployedAsset`
  Specified by:
    `getVersion` in interface `ProcessDefinition`

### getPackageName

    public String getPackageName()

  Specified by:
    `getPackageName` in interface `ProcessDefinition`

### getType

    public String getType()

  Specified by:
    `getType` in interface `ProcessDefinition`

### getKnowledgeType

    public String getKnowledgeType()

  Specified by:
    `getKnowledgeType` in interface `DeployedAsset`

### getNamespace

    public String getNamespace()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### setId

    public void setId(String id)

### setName

    public void setName(String name)

### setPackageName

    public void setPackageName(String packageName)

### getOriginalPath

    public String getOriginalPath()

  Specified by:
    `getOriginalPath` in interface `DeployedAsset`

### setOriginalPath

    public void setOriginalPath(String originalPath)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### getDeploymentId

    public String getDeploymentId()

  Specified by:
    `getDeploymentId` in interface `ProcessDefinition`

### setDeploymentId

    public void setDeploymentId(String deploymentId)

### getEncodedProcessSource

    public String getEncodedProcessSource()

### setEncodedProcessSource

    public void setEncodedProcessSource(String processString)

### getForms

    public Map<String,String> getForms()

### setForms

    public void setForms(Map<String,String> forms)

### addForm

    public void addForm(String id,
                        String formContent)

### getRoles

    public List<String> getRoles()

### setRoles

    public void setRoles(List<String> roles)

### getAssociatedEntities

    public Map<String,Collection<String>> getAssociatedEntities()

  Specified by:
    `getAssociatedEntities` in interface `ProcessDefinition`

### getServiceTasks

    public Map<String,String> getServiceTasks()

  Specified by:
    `getServiceTasks` in interface `ProcessDefinition`

### getProcessVariables

    public Map<String,String> getProcessVariables()

  Specified by:
    `getProcessVariables` in interface `ProcessDefinition`

### getReusableSubProcesses

    public Collection<String> getReusableSubProcesses()

  Specified by:
    `getReusableSubProcesses` in interface `ProcessDefinition`

### setAssociatedEntities

    public void setAssociatedEntities(Map<String,Collection<String>> associatedEntities)

### setServiceTasks

    public void setServiceTasks(Map<String,String> serviceTasks)

### setProcessVariables

    public void setProcessVariables(Map<String,String> processVariables)

### setReusableSubProcesses

    public void setReusableSubProcesses(Collection<String> reusableSubProcesses)

### isActive

    public boolean isActive()

### setActive

    public void setActive(boolean active)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.